package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.User;

/**
 * @ Description: 用户接口
 * @ Author     : 86187
 * @ Date       : 2021/1/6 16:08
 * @author 86187
 */
public interface UserService {


    /**
     * 获取用户信息
     * @param userId 用户id
     * @return 用户信息
     */
     User getById(String userId);

     R<Integer> getById1(String userId);

    /**
     * 获取用户信息
     * @param userId 用户id
     * @return 用户信息
     */
    User getByUserId(String userId);

    //根据手机号查询用户
    public User queryUsersByPhone(String id);
    //根据OpenId查询用户
    public User queryUsersByOpenId(String openId);

    /**
     *用户注册
     */
    R userByZx(String userId, String beInvitedCode);

//    Integer selectbyint(String userId,String beInvitedCode);
//
//    Integer getuserIdById(String userId);

}
